# tbb::internal::critical_section_v4 Class Reference

List of all members.

## Classes
class | scoped_lock
## Public Member Functions
void __TBB_EXPORTED_METHOD | internal_construct ()
void | lock ()
bool | try_lock ()
void | unlock ()
## Static Public Attributes
static const bool | is_rw_mutex = false
static const bool | is_recursive_mutex = false
static const bool | is_fair_mutex = true

The documentation for this class was generated from the following file:

- critical_section.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.